summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-06-27 15:33:07 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-06-27 15:34:34 +0200
commit84d10e06d0a1c78b7f8bf4839f6f18d8b8ec861a (patch)
tree807f1fae4f34cc9f3ed94db4a9056dd095771572 /sys-boot
parentdev-db/postgresql: alpha stable wrt bug #688420 (diff)
downloadgentoo-84d10e06d0a1c78b7f8bf4839f6f18d8b8ec861a.tar.gz
gentoo-84d10e06d0a1c78b7f8bf4839f6f18d8b8ec861a.tar.bz2
gentoo-84d10e06d0a1c78b7f8bf4839f6f18d8b8ec861a.zip
sys-boot/os-prober: Bump to version 1.77
Thanks-to: paintchip <rickfoland@hotmail.com> Closes: https://github.com/gentoo/gentoo/pull/12175 Closes: https://bugs.gentoo.org/680538 Package-Manager: Portage-2.3.67, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/os-prober/Manifest1
-rw-r--r--sys-boot/os-prober/os-prober-1.77.ebuild87
2 files changed, 88 insertions, 0 deletions
diff --git a/sys-boot/os-prober/Manifest b/sys-boot/os-prober/Manifest
index 6308e693288..f611d9e9304 100644
--- a/sys-boot/os-prober/Manifest
+++ b/sys-boot/os-prober/Manifest
@@ -1 +1,2 @@
DIST os-prober_1.76.tar.xz 26432 BLAKE2B edefc2be0bb51fff3cc0cd582c46a50871228b2c94312e50320e717b9f218854a0682d0b4e66b4bef6455751fcf016fa290ab03923d89acc6965bbc9efcbaafd SHA512 64800c99e0959a35edb639f50d2467453c6f6a7d7fa7a8d74141be36e0ade96ce4f874ba6376adfd663585ce9f47b99038dc00c2f722e6236344047567ed14f3
+DIST os-prober_1.77.tar.xz 26660 BLAKE2B cff8d96927cf251e9d8ee95561289e9c49a89fbcf9045e7c7169f73b1eeb151797db7b075ebc14dbbdd96996d007b07001e2843cf835defd675f63595614297b SHA512 4d9c22ccc4d950644a06a17ec4424aca5ff82aeb20052dc389dd451b6b9a1799c5a9438644a29093153730af42066abbbbb78f593f2564314c9adbd43f60e39b
diff --git a/sys-boot/os-prober/os-prober-1.77.ebuild b/sys-boot/os-prober/os-prober-1.77.ebuild
new file mode 100644
index 00000000000..f3a75923bd7
--- /dev/null
+++ b/sys-boot/os-prober/os-prober-1.77.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit readme.gentoo-r1 toolchain-funcs
+
+DESCRIPTION="Utility to detect other OSs on a set of drives"
+HOMEPAGE="https://packages.debian.org/source/sid/os-prober"
+SRC_URI="mirror://debian/pool/main/${PN::1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# grub-mount needed per bug #607518
+RDEPEND="sys-boot/grub:2[mount]"
+DEPEND=""
+
+# bug 594250
+QA_MULTILIB_PATHS="usr/lib/os-prober/.*"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.76-exherbo.patch )
+
+DOC_CONTENTS="
+ If you intend for os-prober to detect versions of Windows installed on
+ NTFS-formatted partitions, your system must be capable of reading the
+ NTFS filesystem. One way to do this is by installing sys-fs/ntfs3g
+"
+
+src_prepare() {
+ default
+ # use default GNU rules
+ rm Makefile || die 'rm Makefile failed'
+}
+
+src_compile() {
+ tc-export CC
+ emake newns
+}
+
+src_install() {
+ dobin os-prober linux-boot-prober
+
+ # Note: as no shared libraries are installed, /usr/lib is correct
+ exeinto /usr/lib/os-prober
+ doexe newns
+
+ insinto /usr/share/os-prober
+ doins common.sh
+
+ keepdir /var/lib/os-prober
+
+ local debarch=${ARCH%-*} dir
+
+ case ${debarch} in
+ amd64) debarch=x86 ;;
+ ppc|ppc64) debarch=powerpc ;;
+ esac
+
+ local dir
+ for dir in os-probes{,/mounted,/init} linux-boot-probes{,/mounted}; do
+ exeinto /usr/lib/${dir}
+ doexe ${dir}/common/*
+ if [[ -d ${dir}/${debarch} ]]; then
+ doexe ${dir}/${debarch}/*
+ fi
+ if [[ -d ${dir}/${debarch}/efi ]]; then
+ exeinto /usr/lib/${dir}/efi
+ doexe ${dir}/${debarch}/efi/*
+ fi
+ done
+
+ if use amd64 || use x86; then
+ exeinto /usr/lib/os-probes/mounted
+ doexe os-probes/mounted/powerpc/20macosx
+ fi
+
+ einstalldocs
+ dodoc debian/changelog
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}